package com.sifang.modules.customer.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_customer_entry_stock")
public class CrmCustomerEntryStock {
    @Id
    private String id;
    private String projectId;
    private String projectName;
    private String projectCode;
    private String distributorId;
    private String traderName;
    private String traderTel;
    private String powerStationCode;
    private String tenantId;
    private String tenantType;
    private String tenantName;
    private String gender;
    private Integer age;
    private String province;
    private String city;
    private String area;
    private String street;
    private String address;
    private BigDecimal longitude;
    private BigDecimal latitude;
    private String mobile;
    private String idCode;
    private String remarks;
    private String encryptionIdCard;
    private String idCardFront;
    private String idCardBack;
    private String residenceBooklet;
    private String status;
    private String toExamineStatus;
    private String applyStatus;
    private String gdtRemarks;
    private String admitFlag;
    private String createBy;
    private String creator;
    private Date createTime;
    private String schemeType;
    private String schemeTypeId;
    private String schemeTypeName;
    private String schemeId;
    private String schemeName;
    private String designDrawings;
    private String designDrawingsName;
    private String receivingReportId;
    private Date toExamineTime;
    private String examine;
    private String examineName;
    private Date examineTime;
    private String examineRemarks;
    private Date orderTime;
    private String orderBy;
    private String orderName;
    private String receiveBy;
    private Date receiveTime;
    private String receiveName;
    private String dispatchStatus;
    private String engineerName;
    private Date dispatchTime;
    private String engineerId;
    private String installBy;
    private Date installTime;
    private Date installAcceptTime;
    private String mergeBy;
    private String mergeName;
    private Date mergeTime;
    private String checkAcceptBy;
    private String checkAcceptName;
    private Date checkAcceptTime;
    private String checkAcceptImgs;
    private String deliverBy;
    private String deliverName;
    private Date deliverTime;
    private String deliverFile;
    private String indocBy;
    private String indocName;
    private Date indocTime;
    private String flag;
    private String uniformity;
    private String generatorNo;
    private String componentSpec;
    private Integer designCapacity;
    private BigDecimal actualCapacity;
    private String schemeRemarks;
    private String provinceCode;
    private String whetherToPay;
    private String retrial;
    private String applyReasonId;
    private String applyReasonName;
    private Date applyTime;
    private String applyChange;
    private String rectificationSetId;
    private String changeReason;
    private String auditComments;
    private Date changeTime;
    private String acceptFlag;
    private Date acceptTime;
    private String acceptBy;
    private String acceptor;
    private String partnerId;
    private String partnerName;
    private String productLine;
    private String managementType;
    private String credit;
    private String creditDsc;
    private String authorization;
    private String firstApplyStatus;
    private String nextApplyStatus;
    private String applyBackReason;
    private String contractFilename;
    private String contract;
    private String bill;
    private String billNumber;
    private String signStatus;
    private String oneselfFlag;
    private String regionId;
    private BigDecimal epcPrice;
    private String projectCompanyId;
    private String projectCompanyName;
    private String productLineId;
    private String productLineName;
    private String payCycle;
    private String sn;
    private String nbqSn;
    private Integer ifFollow;
    private BigDecimal etd;
    private BigDecimal eto;
    private BigDecimal etdc;
    private String etoc;
    private String warehouseId;
    private String bankName;
    private String bankCode;
    private String tssBankNum;
    private String tssBankNumName;
    private String bankCard;
    private String insuranceFlag;
    private Date leaseDate;
    private String bpName;
    private String bpRelation;
    private String bpIdCard;
    private String bpMobile;
    private String bpCardFront;
    private String bpCardBack;
    private String bpFile;
    private String secCardStatus;
    private String zjpbImg;
    private String zjzxImg;
    private String zjcsImg;
    private String zjhsImg;
    private String nbqwzImg;
    private String pdxwzImg;
    private String dzImgs;
    private String filingType;
    private String addressConsistent;
    private String electricProvince;
    private String electricCity;
    private String electricArea;
    private String electricAddress;
    private String createTraderId;
    private String createTraderName;
    private Integer estimateCapacity;
    private String designAuditFlag;
    private String installFlag;
    private String checkAcceptFlag;
    private String onGridFlag;
    private String mergeFlag;
    private String corp;
    private String regno;
    private String roofType;
    private String materialFixFlag;
    private Date materialFixFinishTime;
    private String materialMergeFlag;
    private String auditRemarks;
    private String nbqDzId;
    private String nbqFactory;
    private Date preAuditTime;
    private String ifRewardSettle;
    private String designChange;
    private Date designChangeTime;
    private Date firstGenerationTime;
    private Date inComingTime;
    private String zsResult;
    private Date installAuditFinishTime;
    private String exigenceName;
    private String exigencePhone;
    private String isHistory;
    private String insuranceNumber;
    private String insuranceFiles;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getDistributorId() {
        return distributorId;
    }

    public void setDistributorId(String distributorId) {
        this.distributorId = distributorId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getTraderTel() {
        return traderTel;
    }

    public void setTraderTel(String traderTel) {
        this.traderTel = traderTel;
    }

    public String getPowerStationCode() {
        return powerStationCode;
    }

    public void setPowerStationCode(String powerStationCode) {
        this.powerStationCode = powerStationCode;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantType() {
        return tenantType;
    }

    public void setTenantType(String tenantType) {
        this.tenantType = tenantType;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public BigDecimal getLongitude() {
        return longitude;
    }

    public void setLongitude(BigDecimal longitude) {
        this.longitude = longitude;
    }

    public BigDecimal getLatitude() {
        return latitude;
    }

    public void setLatitude(BigDecimal latitude) {
        this.latitude = latitude;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdCode() {
        return idCode;
    }

    public void setIdCode(String idCode) {
        this.idCode = idCode;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getEncryptionIdCard() {
        return encryptionIdCard;
    }

    public void setEncryptionIdCard(String encryptionIdCard) {
        this.encryptionIdCard = encryptionIdCard;
    }

    public String getIdCardFront() {
        return idCardFront;
    }

    public void setIdCardFront(String idCardFront) {
        this.idCardFront = idCardFront;
    }

    public String getIdCardBack() {
        return idCardBack;
    }

    public void setIdCardBack(String idCardBack) {
        this.idCardBack = idCardBack;
    }

    public String getResidenceBooklet() {
        return residenceBooklet;
    }

    public void setResidenceBooklet(String residenceBooklet) {
        this.residenceBooklet = residenceBooklet;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getToExamineStatus() {
        return toExamineStatus;
    }

    public void setToExamineStatus(String toExamineStatus) {
        this.toExamineStatus = toExamineStatus;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getGdtRemarks() {
        return gdtRemarks;
    }

    public void setGdtRemarks(String gdtRemarks) {
        this.gdtRemarks = gdtRemarks;
    }

    public String getAdmitFlag() {
        return admitFlag;
    }

    public void setAdmitFlag(String admitFlag) {
        this.admitFlag = admitFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSchemeType() {
        return schemeType;
    }

    public void setSchemeType(String schemeType) {
        this.schemeType = schemeType;
    }

    public String getSchemeTypeId() {
        return schemeTypeId;
    }

    public void setSchemeTypeId(String schemeTypeId) {
        this.schemeTypeId = schemeTypeId;
    }

    public String getSchemeTypeName() {
        return schemeTypeName;
    }

    public void setSchemeTypeName(String schemeTypeName) {
        this.schemeTypeName = schemeTypeName;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getDesignDrawings() {
        return designDrawings;
    }

    public void setDesignDrawings(String designDrawings) {
        this.designDrawings = designDrawings;
    }

    public String getDesignDrawingsName() {
        return designDrawingsName;
    }

    public void setDesignDrawingsName(String designDrawingsName) {
        this.designDrawingsName = designDrawingsName;
    }

    public String getReceivingReportId() {
        return receivingReportId;
    }

    public void setReceivingReportId(String receivingReportId) {
        this.receivingReportId = receivingReportId;
    }

    public Date getToExamineTime() {
        return toExamineTime;
    }

    public void setToExamineTime(Date toExamineTime) {
        this.toExamineTime = toExamineTime;
    }

    public String getExamine() {
        return examine;
    }

    public void setExamine(String examine) {
        this.examine = examine;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public Date getExamineTime() {
        return examineTime;
    }

    public void setExamineTime(Date examineTime) {
        this.examineTime = examineTime;
    }

    public String getExamineRemarks() {
        return examineRemarks;
    }

    public void setExamineRemarks(String examineRemarks) {
        this.examineRemarks = examineRemarks;
    }

    public Date getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(Date orderTime) {
        this.orderTime = orderTime;
    }

    public String getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(String orderBy) {
        this.orderBy = orderBy;
    }

    public String getOrderName() {
        return orderName;
    }

    public void setOrderName(String orderName) {
        this.orderName = orderName;
    }

    public String getReceiveBy() {
        return receiveBy;
    }

    public void setReceiveBy(String receiveBy) {
        this.receiveBy = receiveBy;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    public String getReceiveName() {
        return receiveName;
    }

    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getEngineerName() {
        return engineerName;
    }

    public void setEngineerName(String engineerName) {
        this.engineerName = engineerName;
    }

    public Date getDispatchTime() {
        return dispatchTime;
    }

    public void setDispatchTime(Date dispatchTime) {
        this.dispatchTime = dispatchTime;
    }

    public String getEngineerId() {
        return engineerId;
    }

    public void setEngineerId(String engineerId) {
        this.engineerId = engineerId;
    }

    public String getInstallBy() {
        return installBy;
    }

    public void setInstallBy(String installBy) {
        this.installBy = installBy;
    }

    public Date getInstallTime() {
        return installTime;
    }

    public void setInstallTime(Date installTime) {
        this.installTime = installTime;
    }

    public Date getInstallAcceptTime() {
        return installAcceptTime;
    }

    public void setInstallAcceptTime(Date installAcceptTime) {
        this.installAcceptTime = installAcceptTime;
    }

    public String getMergeBy() {
        return mergeBy;
    }

    public void setMergeBy(String mergeBy) {
        this.mergeBy = mergeBy;
    }

    public String getMergeName() {
        return mergeName;
    }

    public void setMergeName(String mergeName) {
        this.mergeName = mergeName;
    }

    public Date getMergeTime() {
        return mergeTime;
    }

    public void setMergeTime(Date mergeTime) {
        this.mergeTime = mergeTime;
    }

    public String getCheckAcceptBy() {
        return checkAcceptBy;
    }

    public void setCheckAcceptBy(String checkAcceptBy) {
        this.checkAcceptBy = checkAcceptBy;
    }

    public String getCheckAcceptName() {
        return checkAcceptName;
    }

    public void setCheckAcceptName(String checkAcceptName) {
        this.checkAcceptName = checkAcceptName;
    }

    public Date getCheckAcceptTime() {
        return checkAcceptTime;
    }

    public void setCheckAcceptTime(Date checkAcceptTime) {
        this.checkAcceptTime = checkAcceptTime;
    }

    public String getCheckAcceptImgs() {
        return checkAcceptImgs;
    }

    public void setCheckAcceptImgs(String checkAcceptImgs) {
        this.checkAcceptImgs = checkAcceptImgs;
    }

    public String getDeliverBy() {
        return deliverBy;
    }

    public void setDeliverBy(String deliverBy) {
        this.deliverBy = deliverBy;
    }

    public String getDeliverName() {
        return deliverName;
    }

    public void setDeliverName(String deliverName) {
        this.deliverName = deliverName;
    }

    public Date getDeliverTime() {
        return deliverTime;
    }

    public void setDeliverTime(Date deliverTime) {
        this.deliverTime = deliverTime;
    }

    public String getDeliverFile() {
        return deliverFile;
    }

    public void setDeliverFile(String deliverFile) {
        this.deliverFile = deliverFile;
    }

    public String getIndocBy() {
        return indocBy;
    }

    public void setIndocBy(String indocBy) {
        this.indocBy = indocBy;
    }

    public String getIndocName() {
        return indocName;
    }

    public void setIndocName(String indocName) {
        this.indocName = indocName;
    }

    public Date getIndocTime() {
        return indocTime;
    }

    public void setIndocTime(Date indocTime) {
        this.indocTime = indocTime;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getUniformity() {
        return uniformity;
    }

    public void setUniformity(String uniformity) {
        this.uniformity = uniformity;
    }

    public String getGeneratorNo() {
        return generatorNo;
    }

    public void setGeneratorNo(String generatorNo) {
        this.generatorNo = generatorNo;
    }

    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }

    public Integer getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    public BigDecimal getActualCapacity() {
        return actualCapacity;
    }

    public void setActualCapacity(BigDecimal actualCapacity) {
        this.actualCapacity = actualCapacity;
    }

    public String getSchemeRemarks() {
        return schemeRemarks;
    }

    public void setSchemeRemarks(String schemeRemarks) {
        this.schemeRemarks = schemeRemarks;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getWhetherToPay() {
        return whetherToPay;
    }

    public void setWhetherToPay(String whetherToPay) {
        this.whetherToPay = whetherToPay;
    }

    public String getRetrial() {
        return retrial;
    }

    public void setRetrial(String retrial) {
        this.retrial = retrial;
    }

    public String getApplyReasonId() {
        return applyReasonId;
    }

    public void setApplyReasonId(String applyReasonId) {
        this.applyReasonId = applyReasonId;
    }

    public String getApplyReasonName() {
        return applyReasonName;
    }

    public void setApplyReasonName(String applyReasonName) {
        this.applyReasonName = applyReasonName;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyChange() {
        return applyChange;
    }

    public void setApplyChange(String applyChange) {
        this.applyChange = applyChange;
    }

    public String getRectificationSetId() {
        return rectificationSetId;
    }

    public void setRectificationSetId(String rectificationSetId) {
        this.rectificationSetId = rectificationSetId;
    }

    public String getChangeReason() {
        return changeReason;
    }

    public void setChangeReason(String changeReason) {
        this.changeReason = changeReason;
    }

    public String getAuditComments() {
        return auditComments;
    }

    public void setAuditComments(String auditComments) {
        this.auditComments = auditComments;
    }

    public Date getChangeTime() {
        return changeTime;
    }

    public void setChangeTime(Date changeTime) {
        this.changeTime = changeTime;
    }

    public String getAcceptFlag() {
        return acceptFlag;
    }

    public void setAcceptFlag(String acceptFlag) {
        this.acceptFlag = acceptFlag;
    }

    public Date getAcceptTime() {
        return acceptTime;
    }

    public void setAcceptTime(Date acceptTime) {
        this.acceptTime = acceptTime;
    }

    public String getAcceptBy() {
        return acceptBy;
    }

    public void setAcceptBy(String acceptBy) {
        this.acceptBy = acceptBy;
    }

    public String getAcceptor() {
        return acceptor;
    }

    public void setAcceptor(String acceptor) {
        this.acceptor = acceptor;
    }

    public String getPartnerId() {
        return partnerId;
    }

    public void setPartnerId(String partnerId) {
        this.partnerId = partnerId;
    }

    public String getPartnerName() {
        return partnerName;
    }

    public void setPartnerName(String partnerName) {
        this.partnerName = partnerName;
    }

    public String getProductLine() {
        return productLine;
    }

    public void setProductLine(String productLine) {
        this.productLine = productLine;
    }

    public String getManagementType() {
        return managementType;
    }

    public void setManagementType(String managementType) {
        this.managementType = managementType;
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getCreditDsc() {
        return creditDsc;
    }

    public void setCreditDsc(String creditDsc) {
        this.creditDsc = creditDsc;
    }

    public String getAuthorization() {
        return authorization;
    }

    public void setAuthorization(String authorization) {
        this.authorization = authorization;
    }

    public String getFirstApplyStatus() {
        return firstApplyStatus;
    }

    public void setFirstApplyStatus(String firstApplyStatus) {
        this.firstApplyStatus = firstApplyStatus;
    }

    public String getNextApplyStatus() {
        return nextApplyStatus;
    }

    public void setNextApplyStatus(String nextApplyStatus) {
        this.nextApplyStatus = nextApplyStatus;
    }

    public String getApplyBackReason() {
        return applyBackReason;
    }

    public void setApplyBackReason(String applyBackReason) {
        this.applyBackReason = applyBackReason;
    }

    public String getContractFilename() {
        return contractFilename;
    }

    public void setContractFilename(String contractFilename) {
        this.contractFilename = contractFilename;
    }

    public String getContract() {
        return contract;
    }

    public void setContract(String contract) {
        this.contract = contract;
    }

    public String getBill() {
        return bill;
    }

    public void setBill(String bill) {
        this.bill = bill;
    }

    public String getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(String billNumber) {
        this.billNumber = billNumber;
    }

    public String getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }

    public String getOneselfFlag() {
        return oneselfFlag;
    }

    public void setOneselfFlag(String oneselfFlag) {
        this.oneselfFlag = oneselfFlag;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public BigDecimal getEpcPrice() {
        return epcPrice;
    }

    public void setEpcPrice(BigDecimal epcPrice) {
        this.epcPrice = epcPrice;
    }

    public String getProjectCompanyId() {
        return projectCompanyId;
    }

    public void setProjectCompanyId(String projectCompanyId) {
        this.projectCompanyId = projectCompanyId;
    }

    public String getProjectCompanyName() {
        return projectCompanyName;
    }

    public void setProjectCompanyName(String projectCompanyName) {
        this.projectCompanyName = projectCompanyName;
    }

    public String getProductLineId() {
        return productLineId;
    }

    public void setProductLineId(String productLineId) {
        this.productLineId = productLineId;
    }

    public String getProductLineName() {
        return productLineName;
    }

    public void setProductLineName(String productLineName) {
        this.productLineName = productLineName;
    }

    public String getPayCycle() {
        return payCycle;
    }

    public void setPayCycle(String payCycle) {
        this.payCycle = payCycle;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getNbqSn() {
        return nbqSn;
    }

    public void setNbqSn(String nbqSn) {
        this.nbqSn = nbqSn;
    }

    public Integer getIfFollow() {
        return ifFollow;
    }

    public void setIfFollow(Integer ifFollow) {
        this.ifFollow = ifFollow;
    }

    public BigDecimal getEtd() {
        return etd;
    }

    public void setEtd(BigDecimal etd) {
        this.etd = etd;
    }

    public BigDecimal getEto() {
        return eto;
    }

    public void setEto(BigDecimal eto) {
        this.eto = eto;
    }

    public BigDecimal getEtdc() {
        return etdc;
    }

    public void setEtdc(BigDecimal etdc) {
        this.etdc = etdc;
    }

    public String getEtoc() {
        return etoc;
    }

    public void setEtoc(String etoc) {
        this.etoc = etoc;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public String getTssBankNum() {
        return tssBankNum;
    }

    public void setTssBankNum(String tssBankNum) {
        this.tssBankNum = tssBankNum;
    }

    public String getTssBankNumName() {
        return tssBankNumName;
    }

    public void setTssBankNumName(String tssBankNumName) {
        this.tssBankNumName = tssBankNumName;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public String getInsuranceFlag() {
        return insuranceFlag;
    }

    public void setInsuranceFlag(String insuranceFlag) {
        this.insuranceFlag = insuranceFlag;
    }

    public Date getLeaseDate() {
        return leaseDate;
    }

    public void setLeaseDate(Date leaseDate) {
        this.leaseDate = leaseDate;
    }

    public String getBpName() {
        return bpName;
    }

    public void setBpName(String bpName) {
        this.bpName = bpName;
    }

    public String getBpRelation() {
        return bpRelation;
    }

    public void setBpRelation(String bpRelation) {
        this.bpRelation = bpRelation;
    }

    public String getBpIdCard() {
        return bpIdCard;
    }

    public void setBpIdCard(String bpIdCard) {
        this.bpIdCard = bpIdCard;
    }

    public String getBpMobile() {
        return bpMobile;
    }

    public void setBpMobile(String bpMobile) {
        this.bpMobile = bpMobile;
    }

    public String getBpCardFront() {
        return bpCardFront;
    }

    public void setBpCardFront(String bpCardFront) {
        this.bpCardFront = bpCardFront;
    }

    public String getBpCardBack() {
        return bpCardBack;
    }

    public void setBpCardBack(String bpCardBack) {
        this.bpCardBack = bpCardBack;
    }

    public String getBpFile() {
        return bpFile;
    }

    public void setBpFile(String bpFile) {
        this.bpFile = bpFile;
    }

    public String getSecCardStatus() {
        return secCardStatus;
    }

    public void setSecCardStatus(String secCardStatus) {
        this.secCardStatus = secCardStatus;
    }

    public String getZjpbImg() {
        return zjpbImg;
    }

    public void setZjpbImg(String zjpbImg) {
        this.zjpbImg = zjpbImg;
    }

    public String getZjzxImg() {
        return zjzxImg;
    }

    public void setZjzxImg(String zjzxImg) {
        this.zjzxImg = zjzxImg;
    }

    public String getZjcsImg() {
        return zjcsImg;
    }

    public void setZjcsImg(String zjcsImg) {
        this.zjcsImg = zjcsImg;
    }

    public String getZjhsImg() {
        return zjhsImg;
    }

    public void setZjhsImg(String zjhsImg) {
        this.zjhsImg = zjhsImg;
    }

    public String getNbqwzImg() {
        return nbqwzImg;
    }

    public void setNbqwzImg(String nbqwzImg) {
        this.nbqwzImg = nbqwzImg;
    }

    public String getPdxwzImg() {
        return pdxwzImg;
    }

    public void setPdxwzImg(String pdxwzImg) {
        this.pdxwzImg = pdxwzImg;
    }

    public String getDzImgs() {
        return dzImgs;
    }

    public void setDzImgs(String dzImgs) {
        this.dzImgs = dzImgs;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    public String getAddressConsistent() {
        return addressConsistent;
    }

    public void setAddressConsistent(String addressConsistent) {
        this.addressConsistent = addressConsistent;
    }

    public String getElectricProvince() {
        return electricProvince;
    }

    public void setElectricProvince(String electricProvince) {
        this.electricProvince = electricProvince;
    }

    public String getElectricCity() {
        return electricCity;
    }

    public void setElectricCity(String electricCity) {
        this.electricCity = electricCity;
    }

    public String getElectricArea() {
        return electricArea;
    }

    public void setElectricArea(String electricArea) {
        this.electricArea = electricArea;
    }

    public String getElectricAddress() {
        return electricAddress;
    }

    public void setElectricAddress(String electricAddress) {
        this.electricAddress = electricAddress;
    }

    public String getCreateTraderId() {
        return createTraderId;
    }

    public void setCreateTraderId(String createTraderId) {
        this.createTraderId = createTraderId;
    }

    public String getCreateTraderName() {
        return createTraderName;
    }

    public void setCreateTraderName(String createTraderName) {
        this.createTraderName = createTraderName;
    }

    public Integer getEstimateCapacity() {
        return estimateCapacity;
    }

    public void setEstimateCapacity(Integer estimateCapacity) {
        this.estimateCapacity = estimateCapacity;
    }

    public String getDesignAuditFlag() {
        return designAuditFlag;
    }

    public void setDesignAuditFlag(String designAuditFlag) {
        this.designAuditFlag = designAuditFlag;
    }

    public String getInstallFlag() {
        return installFlag;
    }

    public void setInstallFlag(String installFlag) {
        this.installFlag = installFlag;
    }

    public String getCheckAcceptFlag() {
        return checkAcceptFlag;
    }

    public void setCheckAcceptFlag(String checkAcceptFlag) {
        this.checkAcceptFlag = checkAcceptFlag;
    }

    public String getOnGridFlag() {
        return onGridFlag;
    }

    public void setOnGridFlag(String onGridFlag) {
        this.onGridFlag = onGridFlag;
    }

    public String getMergeFlag() {
        return mergeFlag;
    }

    public void setMergeFlag(String mergeFlag) {
        this.mergeFlag = mergeFlag;
    }

    public String getCorp() {
        return corp;
    }

    public void setCorp(String corp) {
        this.corp = corp;
    }

    public String getRegno() {
        return regno;
    }

    public void setRegno(String regno) {
        this.regno = regno;
    }

    public String getRoofType() {
        return roofType;
    }

    public void setRoofType(String roofType) {
        this.roofType = roofType;
    }

    public String getMaterialFixFlag() {
        return materialFixFlag;
    }

    public void setMaterialFixFlag(String materialFixFlag) {
        this.materialFixFlag = materialFixFlag;
    }

    public Date getMaterialFixFinishTime() {
        return materialFixFinishTime;
    }

    public void setMaterialFixFinishTime(Date materialFixFinishTime) {
        this.materialFixFinishTime = materialFixFinishTime;
    }

    public String getMaterialMergeFlag() {
        return materialMergeFlag;
    }

    public void setMaterialMergeFlag(String materialMergeFlag) {
        this.materialMergeFlag = materialMergeFlag;
    }

    public String getAuditRemarks() {
        return auditRemarks;
    }

    public void setAuditRemarks(String auditRemarks) {
        this.auditRemarks = auditRemarks;
    }

    public String getNbqDzId() {
        return nbqDzId;
    }

    public void setNbqDzId(String nbqDzId) {
        this.nbqDzId = nbqDzId;
    }

    public String getNbqFactory() {
        return nbqFactory;
    }

    public void setNbqFactory(String nbqFactory) {
        this.nbqFactory = nbqFactory;
    }

    public Date getPreAuditTime() {
        return preAuditTime;
    }

    public void setPreAuditTime(Date preAuditTime) {
        this.preAuditTime = preAuditTime;
    }

    public String getIfRewardSettle() {
        return ifRewardSettle;
    }

    public void setIfRewardSettle(String ifRewardSettle) {
        this.ifRewardSettle = ifRewardSettle;
    }

    public String getDesignChange() {
        return designChange;
    }

    public void setDesignChange(String designChange) {
        this.designChange = designChange;
    }

    public Date getDesignChangeTime() {
        return designChangeTime;
    }

    public void setDesignChangeTime(Date designChangeTime) {
        this.designChangeTime = designChangeTime;
    }

    public Date getFirstGenerationTime() {
        return firstGenerationTime;
    }

    public void setFirstGenerationTime(Date firstGenerationTime) {
        this.firstGenerationTime = firstGenerationTime;
    }

    public Date getInComingTime() {
        return inComingTime;
    }

    public void setInComingTime(Date inComingTime) {
        this.inComingTime = inComingTime;
    }

    public String getZsResult() {
        return zsResult;
    }

    public void setZsResult(String zsResult) {
        this.zsResult = zsResult;
    }

    public Date getInstallAuditFinishTime() {
        return installAuditFinishTime;
    }

    public void setInstallAuditFinishTime(Date installAuditFinishTime) {
        this.installAuditFinishTime = installAuditFinishTime;
    }

    public String getExigenceName() {
        return exigenceName;
    }

    public void setExigenceName(String exigenceName) {
        this.exigenceName = exigenceName;
    }

    public String getExigencePhone() {
        return exigencePhone;
    }

    public void setExigencePhone(String exigencePhone) {
        this.exigencePhone = exigencePhone;
    }

    public String getIsHistory() {
        return isHistory;
    }

    public void setIsHistory(String isHistory) {
        this.isHistory = isHistory;
    }

    public String getInsuranceNumber() {
        return insuranceNumber;
    }

    public void setInsuranceNumber(String insuranceNumber) {
        this.insuranceNumber = insuranceNumber;
    }

    public String getInsuranceFiles() {
        return insuranceFiles;
    }

    public void setInsuranceFiles(String insuranceFiles) {
        this.insuranceFiles = insuranceFiles;
    }
}
